package cn.ibizlab.assetmanagement.core.workorder.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.workorder.domain.EAMWOStateModelLine;
import cn.ibizlab.assetmanagement.core.workorder.filter.EAMWOStateModelLineSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMWOStateModelLine] 服务对象接口
 */
public interface IEAMWOStateModelLineService extends IService<EAMWOStateModelLine>{

    boolean create(EAMWOStateModelLine et) ;
    void createBatch(List<EAMWOStateModelLine> list) ;
    boolean update(EAMWOStateModelLine et) ;
    void updateBatch(List<EAMWOStateModelLine> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMWOStateModelLine get(String key) ;
    EAMWOStateModelLine getDraft(EAMWOStateModelLine et) ;
    boolean checkKey(EAMWOStateModelLine et) ;
    boolean save(EAMWOStateModelLine et) ;
    void saveBatch(List<EAMWOStateModelLine> list) ;
    Page<EAMWOStateModelLine> searchDefault(EAMWOStateModelLineSearchContext context) ;
    List<EAMWOStateModelLine> selectByEamwostatemodelid(String eamwostatemodelid) ;
    void removeByEamwostatemodelid(String eamwostatemodelid) ;
    List<EAMWOStateModelLine> selectByEamwostateid(String eamwostateid) ;
    void removeByEamwostateid(String eamwostateid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMWOStateModelLine> getEamwostatemodellineByIds(List<String> ids) ;
    List<EAMWOStateModelLine> getEamwostatemodellineByEntities(List<EAMWOStateModelLine> entities) ;
}


